lkml.org 
[lkml]   [2022]   [May]   [2]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRe: [PATCH] gpio: drop the SOC_VF610 dependency for GPIO_VF610
On Mon, Apr 25, 2022 at 1:09 PM Peng Fan (OSS) <peng.fan@oss.nxp.com> wrote:
>
> From: Peng Fan <peng.fan@nxp.com>
>
> i.MX7ULP, i.MX8 and i.MX9 use this driver, so drop
> the SOC_VF610 dependcy to make the driver could be built
> for i.MX platform.

In the future use `gpio: <driver>: ...` for the commit message.

Applied, thanks!

Bart

>
> Signed-off-by: Peng Fan <peng.fan@nxp.com>
> ---
> drivers/gpio/Kconfig | 4 ++--
> 1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/drivers/gpio/Kconfig b/drivers/gpio/Kconfig
> index 82a3bda6e047..9f2a076da6af 100644
> --- a/drivers/gpio/Kconfig
> +++ b/drivers/gpio/Kconfig
> @@ -681,10 +681,10 @@ config GPIO_UNIPHIER
>
> config GPIO_VF610
> def_bool y
> - depends on ARCH_MXC && SOC_VF610
> + depends on ARCH_MXC
> select GPIOLIB_IRQCHIP
> help
> - Say yes here to support Vybrid vf610 GPIOs.
> + Say yes here to support i.MX or Vybrid vf610 GPIOs.
>
> config GPIO_VISCONTI
> tristate "Toshiba Visconti GPIO support"
> --
> 2.25.1
>

\
 
 \ /
  Last update: 2022-05-02 14:13    [W:0.036 / U:0.288 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site